# Uses of Class
org.springframework.beans.factory.InjectionPoint

Packages that use InjectionPoint
Package
Description
org.springframework.beans.factory
The core package implementing Spring's lightweight Inversion of Control (IoC) container.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.

## Uses of InjectionPoint in org.springframework.beans.factory

Methods in org.springframework.beans.factory that return InjectionPoint
Modifier and Type
Method
Description
`InjectionPoint`
UnsatisfiedDependencyException.`getInjectionPoint()`
Return the injection point (field or method/constructor parameter), if known.
Constructors in org.springframework.beans.factory with parameters of type InjectionPoint
Modifier
Constructor
Description
`protected`
`InjectionPoint(InjectionPoint original)`
Copy constructor.
``
`UnsatisfiedDependencyException(String resourceDescription, String beanName, InjectionPoint injectionPoint, String msg)`
Create a new UnsatisfiedDependencyException.
``
`UnsatisfiedDependencyException(String resourceDescription, String beanName, InjectionPoint injectionPoint, BeansException ex)`
Create a new UnsatisfiedDependencyException.

## Uses of InjectionPoint in org.springframework.beans.factory.config

Subclasses of InjectionPoint in org.springframework.beans.factory.config
Modifier and Type
Class
Description
`class`
`DependencyDescriptor`
Descriptor for a specific dependency that is about to be injected.